Package org.eclipse.emf.cdo.common.model

## Class CDOPackageTypeRegistry

- java.lang.Object
- - org.eclipse.emf.cdo.common.model.CDOPackageTypeRegistry

-     public final class CDOPackageTypeRegistry
      extends java.lang.Object

  A `singleton` registry for the `package unit types` of EMF `packages`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `CDOPackageTypeRegistry.CDOObjectMarker` | A common marker interface for CDO (native) objects.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOPackageTypeRegistry` | `INSTANCE` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOPackageUnit.Type` | `deregister​(java.lang.String packageURI)` |
    `CDOPackageUnit.Type` | `lookup​(java.lang.String packageURI)` |
    `CDOPackageUnit.Type` | `lookup​(EPackage ePackage)` |
    `CDOPackageUnit.Type` | `register​(EPackage ePackage)` |
    `void` | `registerDynamic​(java.lang.String packageURI)` |
    `void` | `registerLegacy​(java.lang.String packageURI)` |
    `void` | `registerNative​(java.lang.String packageURI)` |
    `void` | `reset()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final CDOPackageTypeRegistry INSTANCE

  - ### Method Detail

    - #### register

          public CDOPackageUnit.Type register​(EPackage ePackage)

    - #### registerNative

          public void registerNative​(java.lang.String packageURI)

    - #### registerLegacy

          public void registerLegacy​(java.lang.String packageURI)

    - #### registerDynamic

          public void registerDynamic​(java.lang.String packageURI)

    - #### deregister

          public CDOPackageUnit.Type deregister​(java.lang.String packageURI)

    - #### lookup

          public CDOPackageUnit.Type lookup​(java.lang.String packageURI)

    - #### lookup

          public CDOPackageUnit.Type lookup​(EPackage ePackage)

    - #### reset

          public void reset()